Skip to main content
PUT
Configure an export's delivery destination

Authorizations

Authorization
string
header
required

A Barndoor API key, sent as Authorization: Bearer <key>. Keys are prefixed bdai_ and are opaque — do not attempt to decode one. Interchangeable with an OAuth 2.0 access token.

Scopes

openid

Issue an OIDC ID token identifying the caller.

profile

Read the caller's basic profile claims.

email

Read the caller's email address.

Headers

X-Request-Id
string

Client-supplied request correlation ID

Path Parameters

orgId
string
required

Organization ID

exportType
string
required

Export type, e.g. datadog-json or s3

Body

application/json
access_key_id
string
account_key
string
auth_method
string
bucket
string
endpoint
string
iam_role_arn
string
path_prefix
string
provider
string
region
string
sas_token
string
secret_access_key
string
use_path_style
boolean
use_ssl
boolean

Response

OK

destination
object
required
enabled
boolean
required
export_type
string
required
organization_id
string
required
runtime_status
object
required